#include <fstream>
#include <string>
#include <sstream>

using namespace std;

int main()
{
	ifstream input;
	ofstream output;

	input.open("DEMTU.inp");
	output.open("DEMTU.out");
	string a;
	int count = 0;
	getline(input, a);
	stringstream ss;
	ss << a;
	while (!ss.eof())
	{
		ss >> a;
		if (a == "Noi")
		{
			output << 14;
			return 0;
		}
		count++;
	}
	output << count;
	input.close();
	output.close();
	return 0;
}